package it.integry.integrywmsnative.core.rest.model.magazzino_automatico;

import java.math.BigDecimal;

public class MagazzinoAutomaticoPickItemRequestDTO {

    private String codMart;
    private String partitaMag;
    private String untMis;
    private BigDecimal qtaTot;
    private BigDecimal qtaCnf;
    private BigDecimal numCnf;

    public MagazzinoAutomaticoPickItemRequestDTO(String codMart) {
        this.codMart = codMart;
    }

    public String getCodMart() {
        return codMart;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public MagazzinoAutomaticoPickItemRequestDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }
}
